import * as React from 'react';
import { Feature } from '@common-stack/client-react';
import { Files, Editors } from '@files-stack/client-react';
import {reducers, setRootPath} from '@files-stack/client-state';
import { resolvers, defaults, schema, dataIdFromObject, modelContentChangeEpic, modelSaveEpic } from '@files-stack/client-state';

const actionFunctions = [setRootPath];

export default new Feature({
    leftMainPanelItems: { files: <Files/> },
    middleMainPanelItems: { editors: <Editors/>},
    middleMainPanelItemsProps: {editors: {actionFunctions}},
    reducer: { ...reducers },
    clientStateParams: [{ resolvers: resolvers, defaults, typeDefs: schema}],
    dataIdFromObject,
    epic: [modelContentChangeEpic, modelSaveEpic ],
});
